fse1.ws

## Class FSE

- java.lang.Object
- - fse1.ws.FSE

-     public class FSE
      extends java.lang.Object

  Non viene riportata la semantica del tag "return" che è presente nelle risposte di tutti i servizi.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FSE()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ElencoEventiSanitariResponse` | `getElencoEventiSanitari(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codFiscaleAssistibile, java.lang.String dataFine, java.lang.String dataInizio, java.lang.String flagEventoCertificato, java.lang.String flagEventoEmergenza, java.lang.String flagEventoFarmaceutico, java.lang.String flagEventoRicovero, java.lang.String flagEventoSpecialistico, java.lang.String tipoOrdinamento)` Il servizio consente di recuperare i dati relativi ad uno o più eventi sanitari in base a determinati parametri forniti in input (ricerca semplice)
    `ElencoEventiSanitariResponse` | `getElencoEventiSanitariRicercaAvanzata(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codFiscaleAssistibile, java.lang.String dataFine, java.lang.String dataInizio, EventoGrp eventoGrp, java.lang.String flagEventoCertificato, java.lang.String flagEventoEmergenza, java.lang.String flagEventoFarmaceutico, java.lang.String flagEventoRicovero, java.lang.String flagEventoSpecialistico, java.lang.String tipoOrdinamento)` Il servizio consente di recuperare i dati relativi ad uno o più eventi sanitari sulla base di determinati parametri ricevuti in input (ricerca avanzata)
    `EventoDiCertificazioneResponse` | `getEventoDiCertificazione(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codice)` Il servizio consente di recuperare i dati di un evento sanitario di certificazione.
    `EventoEmergenzaResponse` | `getEventoEmergenza(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codice)` Il servizio consente di recuperare, tramite il codice evento, i dati di dettaglio di uno specifico evento sanitario di emergenza.
    `EventoFarmaceuticoResponse` | `getEventoFarmaceutico(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codice)` Il servizio consente di recuperare, tramite il suo codice, i dati di dettaglio di uno specifico evento sanitario farmaceutico.
    `EventoRicoveroResponse` | `getEventoRicovero(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codice)` Il servizio consente di recuperare, tramite il suo codice, i dati di dettaglio di un evento sanitario di ricovero.
    `EventoSpecialisticoResponse` | `getEventoSpecialistico(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codice)` Il servizio consente di recuperare, tramite il suo codice, i dati di dettaglio di un evento sanitario specialistico.
    `AssunzioneResponsabilitaResponse` | `setAssunzioneResponsabilita(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codEventoSanitario, java.lang.String codFiscaleAssistibile, java.lang.String descMotivo, java.lang.String flagCosciente)` Il servizio consente di registrare l'assunzione di responsabilita' per la consultazione di un evento sanitario oscurato
    `NotificaDisponibilitaEventoSanitarioResponse` | `setNotificaDisponibilitaEventoSanitario(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, java.lang.String codDominio, java.lang.String codFiscaleAssistibile, EventoSanitario_grp eventoSanitario_grp, java.lang.String idEsternoEventoSanitario)` Il servizio consente ai Fascicoli Sanitari di altre Regioni di comunicare eventi sanitari relativi ad assistiti della Regione Puglia.
    `NotificheSDOResponse` | `setNotificheSDO(DatiOperatore datiOperatore, DatiApplicativo datiApplicativo, ElencoNotificheSDORequest elencoNotificheSDO)` In seguito all'acquisizione nel Edotto di nuove SDO validate, il servizio consente alla PDD Edotto di comunicare al SIST i dati identificativi dei ricoveri in oggetto ai fini dell'aggiornamento del Fascicolo Sanitario.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FSE

          public FSE()

  - ### Method Detail

    - #### getEventoDiCertificazione

          public EventoDiCertificazioneResponse getEventoDiCertificazione(DatiOperatore datiOperatore,
                                                                          DatiApplicativo datiApplicativo,
                                                                          java.lang.String codice)

      Il servizio consente di recuperare i dati di un evento sanitario di certificazione. La ricerca verra' eseguita utilizzando il codice evento sanitario utilizzato dal sistema per identificare univocamente uno specifico evento sanitario. o * @param datiOperatore Elemento obbligatorio che rappresenta i dati identificativi dell'operatore che richiede il servizio
      Parameters:
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codice` - Elemento obbligatorio che rappresenta il codice dell'evento sanitario da ricercare
      Returns:
        EventoDiCertificazioneResponse contiene i dati di dettaglio dell'evento di certificazione recuperato
      Throws:
        `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
        - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
        - 000005: Dato non valido
        - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
        - 000110: L'assistito non ha mai espresso il consenso alla costituzione del Fascicolo Sanitario Elettronico.
        - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
        - 000201: Utente sconosciuto
        - 000216: Impossibile recuperare l'evento sanitario in quanto non risulta associato ad alcun CDA.
        - 000217: L'evento sanitario da ricercare non appartiene alla tipologia di evento gestito dal servizio invocato.
        - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
        - 100002: Manca dato obbligatorio
        - 000239: Contenuto applicativo non valido.
        - 000240: Il contenuto applicativo non corrisponde all'azione.
        - 000241: Azione non riconosciuta.
        - 000242: Servizio non riconosciuto.
        - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
        - 000219: Errore nel processo di firma del documento o nella definizione del firmatario.
        - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
        - 000256: Porta di Dominio Edotto non raggiungibile
        - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
        - 000258: Scatel Porta di Dominio ASL non raggiungibile.
        - 000319: Application Server della Rete dei Medici non raggiungibili
        - 000320: Scatel Porta di Dominio Edotto non raggiungibile
        - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile
        - 000273: Alla data odierna l'assistito non risulta avere una scelta medico attiva.
        - 000162: L'assistito non risulta presente nell'anagrafe sanitaria regionale.
        - 000066: Il cittadino non risulta tra gli assistiti in carico al medico di base.

    - #### getElencoEventiSanitari

          public ElencoEventiSanitariResponse getElencoEventiSanitari(DatiOperatore datiOperatore,
                                                                      DatiApplicativo datiApplicativo,
                                                                      java.lang.String codFiscaleAssistibile,
                                                                      java.lang.String dataFine,
                                                                      java.lang.String dataInizio,
                                                                      java.lang.String flagEventoCertificato,
                                                                      java.lang.String flagEventoEmergenza,
                                                                      java.lang.String flagEventoFarmaceutico,
                                                                      java.lang.String flagEventoRicovero,
                                                                      java.lang.String flagEventoSpecialistico,
                                                                      java.lang.String tipoOrdinamento)

      Il servizio consente di recuperare i dati relativi ad uno o più eventi sanitari in base a determinati parametri forniti in input (ricerca semplice)
      Parameters:
        `datiOperatore` - Elemento obbligatorio che rappresenta i dati identificativi dell'operatore che richiede il servizio
        `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
        `codFiscaleAssistibile` - Elemento obbligatorio che rappresenta il codice fiscale dell'assistito
        `dataFine` - Elemento obbligatorio che rappresenta la fine dell'intervallo di ricerca (es. "31/01/2008")
        `dataInizio` - Elemento obbligatorio che rappresenta l'inizio dell'intervallo di ricerca (es. "01/01/2008")
        `flagEventoCertificato` - Valore booleano obbligatorio: true se si vogliono ricercare eventi di certificato, false altrimenti
        `flagEventoEmergenza` - Valore booleano obbligatorio: true se si vogliono ricercare eventi di pronto soccorso, false altrimenti
        `flagEventoFarmaceutico` - Valore booleano obbligatorio: true se si vogliono ricercare eventi farmaceutici, false altrimenti
        `flagEventoRicovero` - Valore booleano obbligatorio: true se si vogliono ricercare eventi di ricovero, false altrimenti
        `flagEventoSpecialistico` - Valore booleano obbligatorio: true se si vogliono ricercare eventi specialistici, false altrimenti
        `tipoOrdinamento` - Elemento obbligatorio che rappresenta il tipo di ordinamento dei risultati di ricerca:
        - "D" se ordinamento per data evento.
        - "T" se ordinamento per tipologia evento.
      Returns:
        ElencoEventiSanitariResponse rappresenta l'elenco dettagliato degli eventi che soddisfano i parametri di ricerca inseriti. Per ogni evento sanitario e' sicuramente disponibile:
        - Il codice identificativo dell'evento sanitario
        - Il flag che indica se l'assistito ha rilasciato il consenso alla consultazione dei dati dell'evento.I possibili valori sono:
          - S = Si il consenso è stato rilasciato ed i dati sono consultabili.
          - N = No l'assistito ha negato il consenso alla consultazione dei dati dell'evento in oggetto.
    - La tipologia dell'evento sanitario. I possibili valori sono:
      - F = Farmaceutico
      - R = Ricovero
      - E = Emergenza
      - S = Specialistico
      - C = Certificato
    - La data di riferimento dell'evento
    - Lo stato dell'evento sanitario. I valori possibili sono:
      - E = erogato
      - R = refertato
    Per ogni evento sanitario farmaceutico, e' disponibile:
    - il codice MINSAN del farmaco erogato
    - la descrizione del farmaco erogato
    Per ogni evento sanitario specialistico, e' disponibile:
    - il codice della struttura erogatrice
    - il codice della prestazione erogata
    - la descrizione della prestazione erogata
    - il codice della branca di appartenenza della prestazione specialistica
    - la descrizione della branca di appartenenza della prestazione specialistica
    Per ogni evento sanitario di ricovero, e' disponibile:
    - il codice dell'istituto di ricovero
    - il codice ICDM-C9 della diagnosi principale del ricovero
    - la descrizione della diagnosi principale del ricovero
    - il codice specialita' clinica di ammissione (se disponibile)
    - il numero progressivo del reparto nell'ambito della specialita' clinica di ammissione (se disponibile)
    - il codice specialita' clinica di dimissione (se disponibile)
    - il numero progressivo del reparto nell'ambito della specialita' clinica di dimissione (se disponibile)
    Per ogni evento sanitario di pronto soccorso, e' disponibile:
    - il codice nazionale dell'istituto di ricovero che ha erogato l'evento di emergenza
    - l'elenco delle prestazioni specialistiche erogate durante l'episodio di emergenza (se disponibile. Per ogni prestazione e' possibile leggerne il codice e la sua descrizione)
    Per ogni evento sanitario di cerfitificazione, e' disponibile:
    - il codice regionale del medico erogatore del certificato (se disponibile)
    - la descrizione della diagnosi del certificato (se disponibile)
    Throws:
      `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
      - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
      - 000005: Dato non valido
      - 000023: Scegli almeno una tipologia di evento sanitario da ricercare.
      - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
      - 000110: L'assistito non ha mai espresso il consenso alla costituzione del Fascicolo Sanitario Elettronico.
      - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
      - 000201: Utente sconosciuto
      - 000205: Il tipo di ordinamento degli eventi sanitari specificato nella request del servizio non è valido.
      - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
      - 100002: Manca dato obbligatorio
      - 000239: Contenuto applicativo non valido.
      - 000240: Il contenuto applicativo non corrisponde all'azione.
      - 000241: Azione non riconosciuta.
      - 000242: Servizio non riconosciuto.
      - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
      - 000219: Errore nel processo di firma del documento o nella definizione del firmatario.
      - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
      - 000273: Alla data odierna l'assistito non risulta avere una scelta medico attiva.
      - 000162: L'assistito non risulta presente nell'anagrafe sanitaria regionale.
      - 000066: Il cittadino non risulta tra gli assistiti in carico al medico di base.
      - 000256: Porta di Dominio Edotto non raggiungibile
      - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
      - 000258: Scatel Porta di Dominio ASL non raggiungibile.
      - 000319: Application Server della Rete dei Medici non raggiungibili
      - 000320: Scatel Porta di Dominio Edotto non raggiungibile
      - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

  - #### getElencoEventiSanitariRicercaAvanzata

        public ElencoEventiSanitariResponse getElencoEventiSanitariRicercaAvanzata(DatiOperatore datiOperatore,
                                                                                   DatiApplicativo datiApplicativo,
                                                                                   java.lang.String codFiscaleAssistibile,
                                                                                   java.lang.String dataFine,
                                                                                   java.lang.String dataInizio,
                                                                                   EventoGrp eventoGrp,
                                                                                   java.lang.String flagEventoCertificato,
                                                                                   java.lang.String flagEventoEmergenza,
                                                                                   java.lang.String flagEventoFarmaceutico,
                                                                                   java.lang.String flagEventoRicovero,
                                                                                   java.lang.String flagEventoSpecialistico,
                                                                                   java.lang.String tipoOrdinamento)

    Il servizio consente di recuperare i dati relativi ad uno o più eventi sanitari sulla base di determinati parametri ricevuti in input (ricerca avanzata)
    Parameters:
      `datiOperatore` - Elemento obbligatorio che rappresenta i dati identificativi dell'operatore che richiede il servizio
      `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
      `codFiscaleAssistibile` - Elemento obbligatorio che rappresenta il codice fiscale dell'assistito
      `dataFine` - Elemento obbligatorio che rappresenta la fine dell'intervallo di ricerca (es. "31/01/2008")
      `dataInizio` - Elemento obbligatorio che rappresenta l'inizio dell'intervallo di ricerca (es. "01/01/2008")
      `eventoGrp` - Elemento obbligatorio che rappresenta l'elenco degli eventi sanitari in cui sono specificati ulteriori parametri utili al raffinamento della ricerca. Se all'interno di tale elenco sono specificati i dettagli di una particolare tipologia (es. Farmaceutico), il servizio verifica che il flag di consultazione di tale tipologia (es. flagEventoFarmaceutico) abbia valore true.
      Per un evento sanitario farmaceutico e' possibile specificare:
      - il codice atc del farmaco erogato
      - la descrizione, anche parziale, del farmaco erogato
      Per un evento sanitario specialistico e' possibile specificare:
      - il codice della prestazione specialistica erogata
      - la descrizione, anche parziale, della prestazione specialistica erogata
      - lo stato dell'evento specialistico. I possibili valori sono:
      - E = erogato
      - R = refertato
      - T = tutti
      - il codice della branca di appartenenza della prestazione specialistica erogata
      Per un evento sanitario di ricovero e' possibile specificare:
      - il codice della diagnosi principale del ricovero
      - la descrizione, anche parziale, della diagnosi principale del ricovero
      - il codice nazionale dell'istituto di ricovero che ha erogato il ricovero
      - lo stato dell'evento di ricovero. I possibili valori sono:
        - E = erogato
        - R = refertato
        - A = accettato
        - T = tutti
      - Un flag per specificare se si vogliono recuperare soltanto gli eventi di ricovero scaturiti da episodi di emergenza.I possibili valori sono:
      - 0 = Tutti i ricoveri
      - 1 = Solo ricoveri scaturiti da episodi di emergenza
      Per un evento sanitario di pronto soccorso e' possibile specificare:
      - il codice della prestazione specialistica erogata durante l'episodio di emergenza
      - la descrizione, anche parziale, della prestazione specialistica erogata durante l'episodio di emergenza
      - lo stato dell'evento di pronto soccorso. I possibili valori sono:
      - E = erogato
      - R = refertato
      - T = tutti
      - il codice nazionale dell'istituto di ricovero che ha erogato l'episodio di emergenza
      - Un flag per specificare se si vogliono recuperare soltanto gli eventi di ricovero scaturiti da episodi di emergenza.I possibili valori sono:
      - 0 = Tutti gli episodi di emergenza
      - 1 = Solo gli episodi di emergenza che hanno generato eventi di ricovero
      Per un evento sanitario di certificato e' possibile specificare:
      - la tipologia di certificato che identifica il tipo certificato.Può assumere i valori:
      - 1 = INPS;
      - 2 = INAIL INFORTUNIO;
      - 3 = INAIL MALATTIA PROF;
      - 4 = PRIVATO MALATTIA;
      `flagEventoCertificato` - Valore booleano obbligatorio: true se si vogliono ricercare eventi di certificato, false altrimenti.
      `flagEventoEmergenza` - Valore booleano obbligatorio: true se si vogliono ricercare eventi di pronto soccorso, false altrimenti
      `flagEventoFarmaceutico` - Valore booleano obbligatorio: true se si vogliono ricercare eventi farmaceutici, false altrimenti
      `flagEventoRicovero` - Valore booleano obbligatorio: true se si vogliono ricercare eventi di ricovero, false altrimenti
      `flagEventoSpecialistico` - Valore booleano obbligatorio: true se si vogliono ricercare eventi specialistici, false altrimenti
      `tipoOrdinamento` - Elemento obbligatorio che rappresenta il tipo di ordinamento dei risultati di ricerca:
      - "D" se ordinamento per data evento.
      - "T" se ordinamento per tipologia evento.
    Returns:
      ElencoEventiSanitariResponse rappresenta l'elenco dettagliato degli eventi che soddisfano i parametri di ricerca inseriti. Per ogni evento sanitario e' sicuramente disponibile:
      - Il codice identificativo dell'evento sanitario
      - Il flag che indica se l'assistito ha rilasciato il consenso alla consultazione dei dati dell'evento.I possibili valori sono:
        - S = Si il consenso è stato rilasciato ed i dati sono consultabili.
        - N = No l'assistito ha negato il consenso alla consultazione dei dati dell'evento in oggetto.
  - La tipologia dell'evento sanitario. I possibili valori sono:
    - F = Farmaceutico
    - R = Ricovero
    - E = Emergenza
    - S = Specialistico
    - C = Certificato
  - La data di riferimento dell'evento
  - Lo stato dell'evento sanitario. I valori possibili sono:
    - E = erogato
    - R = refertato
  Per ogni evento sanitario farmaceutico, e' disponibile:
  - il codice MINSAN del farmaco erogato
  - la descrizione del farmaco erogato
  Per ogni evento sanitario specialistico, e' disponibile:
  - il codice della struttura erogatrice
  - il codice della prestazione erogata
  - la descrizione della prestazione erogata
  - il codice della branca di appartenenza della prestazione specialistica
  - la descrizione della branca di appartenenza della prestazione specialistica
  Per ogni evento sanitario di ricovero, e' disponibile:
  - il codice dell'istituto di ricovero
  - il codice ICDM-C9 della diagnosi principale del ricovero
  - la descrizione della diagnosi principale del ricovero
  - il codice specialita' clinica di ammissione (se disponibile)
  - il numero progressivo del reparto nell'ambito della specialita' clinica di ammissione (se disponibile)
  - il codice specialita' clinica di dimissione (se disponibile)
  - il numero progressivo del reparto nell'ambito della specialita' clinica di dimissione (se disponibile)
  Per ogni evento sanitario di pronto soccorso, e' disponibile:
  - il codice nazionale dell'istituto di ricovero che ha erogato l'evento di emergenza
  - l'elenco delle prestazioni specialistiche erogate durante l'episodio di emergenza (se disponibile. Per ogni prestazione e' possibile leggerne il codice e la sua descrizione)
  Per ogni evento sanitario di cerfitificazione, e' disponibile:
  - il codice regionale del medico erogatore del certificato (se disponibile)
  - la descrizione della diagnosi del certificato (se disponibile)
  Throws:
    `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 000005: Dato non valido
    - 000023: Scegli almeno una tipologia di evento sanitario da ricercare.
    - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
    - 000110: L'assistito non ha mai espresso il consenso alla costituzione del Fascicolo Sanitario Elettronico.
    - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
    - 000201: Utente sconosciuto
    - 000205: Il tipo di ordinamento degli eventi sanitari specificato nella request del servizio non è valido.
    - 000206: Manca un dato obbligatorio relativo all'evento farmaceutico nella request del servizio
    - 000207: Manca un dato obbligatorio relativo all'evento specialistico nella request del servizio
    - 000208: Manca un dato obbligatorio relativo all'evento di ricovero nella request del servizio
    - 000209: Manca un dato obbligatorio relativo all'evento di emergenza nella request del servizio
    - 000210: Manca un dato obbligatorio relativo all'evento di certificato nella request del servizio
    - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
    - 100002: Manca dato obbligatorio
    - 000239: Contenuto applicativo non valido.
    - 000240: Il contenuto applicativo non corrisponde all'azione.
    - 000241: Azione non riconosciuta.
    - 000242: Servizio non riconosciuto.
    - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
    - 000219: Errore nel processo di firma del documento o nella definizione del firmatario.
    - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
    - 000256: Porta di Dominio Edotto non raggiungibile
    - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
    - 000258: Scatel Porta di Dominio ASL non raggiungibile.
    - 000319: Application Server della Rete dei Medici non raggiungibili
    - 000320: Scatel Porta di Dominio Edotto non raggiungibile
    - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile
    - 000273: Alla data odierna l'assistito non risulta avere una scelta medico attiva.
    - 000162: L'assistito non risulta presente nell'anagrafe sanitaria regionale.
    - 000066: Il cittadino non risulta tra gli assistiti in carico al medico di base.
    - 000297: Inserire come criterio di ricerca avanzata per l'evento farmaceutico, solo il codice ATC del farmaco oppure, in alternativa, solo la descrizione del farmaco.
    - 000298: Inserire come criterio di ricerca avanzata per l'evento di emergenza, solo il codice della prestazione di emergenza oppure, in alternativa, solo la descrizione della prestazione di emergenza.
    - 000299: Inserire come criterio di ricerca avanzata per l'evento di ricovero, solo il codice della diagnosi principale oppure, in alternativa, solo la descrizione della diagnosi principale.
    - 000300: Inserire come criterio di ricerca avanzata per l'evento specialistico, solo il codice della prestazione specialistica oppure, in alternativa, solo la descrizione della prestazione specialistica.
    - 000301: Inserire come criterio di ricerca avanzata per l'evento specialistico, solo la prestazione specialistica oppure, in alternativa, solo la branca specialistica.
    - 000252: Lo stato dell'evento di ricovero specificato nella request del servizio non e' valido.

- #### getEventoEmergenza

      public EventoEmergenzaResponse getEventoEmergenza(DatiOperatore datiOperatore,
                                                        DatiApplicativo datiApplicativo,
                                                        java.lang.String codice)

  Il servizio consente di recuperare, tramite il codice evento, i dati di dettaglio di uno specifico evento sanitario di emergenza.
  Parameters:
    `datiOperatore` - Elemento obbligatorio che rappresenta i dati identificativi dell'operatore che richiede il servizio
    `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
    `codice` - elemento obbligatorio che rappresenta il codice identificativo dell'evento sanitario di pronto soccorso da recuperare
  Returns:
    EventoEmergenzaResponse rappresenta i dettagli dell'evento sanitario che soddisfa i parametri di ricerca inseriti
  Throws:
    `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 000005: Dato non valido
    - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
    - 000110: L'assistito non ha mai espresso il consenso alla costituzione del Fascicolo Sanitario Elettronico.
    - 000217: L'evento sanitario da ricercare non appartiene alla tipologia di evento gestito dal servizio invocato.
    - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
    - 000201: Utente sconosciuto
    - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
    - 100002: Manca dato obbligatorio
    - 000239: Contenuto applicativo non valido.
    - 000240: Il contenuto applicativo non corrisponde all'azione.
    - 000241: Azione non riconosciuta.
    - 000242: Servizio non riconosciuto.
    - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
    - 000219: Errore nel processo di firma del documento o nella definizione del firmatario.
    - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
    - 000256: Porta di Dominio Edotto non raggiungibile
    - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
    - 000258: Scatel Porta di Dominio ASL non raggiungibile.
    - 000319: Application Server della Rete dei Medici non raggiungibili
    - 000320: Scatel Porta di Dominio Edotto non raggiungibile
    - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile
    - 000273: Alla data odierna l'assistito non risulta avere una scelta medico attiva.
    - 000162: L'assistito non risulta presente nell'anagrafe sanitaria regionale.
    - 000066: Il cittadino non risulta tra gli assistiti in carico al medico di base.

- #### getEventoFarmaceutico

      public EventoFarmaceuticoResponse getEventoFarmaceutico(DatiOperatore datiOperatore,
                                                              DatiApplicativo datiApplicativo,
                                                              java.lang.String codice)

  Il servizio consente di recuperare, tramite il suo codice, i dati di dettaglio di uno specifico evento sanitario farmaceutico.
  Parameters:
    `datiOperatore` - Elemento obbligatorio che rappresenta i dati identificativi dell'operatore che richiede il servizio
    `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
    `codice` - elemento obbligatorio che rappresenta il codice identificativo dell'evento sanitario farmaceutico da recuperare
  Returns:
    EventoFarmaceuticoResponse rappresenta l'evento sanitario che soddisfa i parametri di ricerca inseriti
  Throws:
    `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 000005: Dato non valido
    - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
    - 000110: L'assistito non ha mai espresso il consenso alla costituzione del Fascicolo Sanitario Elettronico.
    - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
    - 000201: Utente sconosciuto
    - 000216: Impossibile recuperare l'evento sanitario in quanto non risulta associato ad alcun CDA.
    - 000217: L'evento sanitario da ricercare non appartiene alla tipologia di evento gestito dal servizio invocato.
    - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
    - 100002: Manca dato obbligatorio
    - 000239: Contenuto applicativo non valido.
    - 000240: Il contenuto applicativo non corrisponde all'azione.
    - 000241: Azione non riconosciuta.
    - 000242: Servizio non riconosciuto.
    - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
    - 000219: Errore nel processo di firma del documento o nella definizione del firmatario.
    - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
    - 000256: Porta di Dominio Edotto non raggiungibile
    - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
    - 000258: Scatel Porta di Dominio ASL non raggiungibile.
    - 000319: Application Server della Rete dei Medici non raggiungibili
    - 000320: Scatel Porta di Dominio Edotto non raggiungibile
    - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile
    - 000273: Alla data odierna l'assistito non risulta avere una scelta medico attiva.
    - 000162: L'assistito non risulta presente nell'anagrafe sanitaria regionale.
    - 000066: Il cittadino non risulta tra gli assistiti in carico al medico di base.

- #### getEventoRicovero

      public EventoRicoveroResponse getEventoRicovero(DatiOperatore datiOperatore,
                                                      DatiApplicativo datiApplicativo,
                                                      java.lang.String codice)

  Il servizio consente di recuperare, tramite il suo codice, i dati di dettaglio di un evento sanitario di ricovero.
  Parameters:
    `datiOperatore` - Elemento obbligatorio che rappresenta i dati identificativi dell'operatore che richiede il servizio
    `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
    `codice` - elemento obbligatorio che rappresenta il codice identificativo dell'evento sanitario di ricovero da recuperare
  Returns:
    EventoRicoveroResponse rappresenta l'evento sanitario che soddisfa i parametri di ricerca inseriti
  Throws:
    `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 000005: Dato non valido
    - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
    - 000110: L'assistito non ha mai espresso il consenso alla costituzione del Fascicolo Sanitario Elettronico.
    - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
    - 000201: Utente sconosciuto
    - 000216: Impossibile recuperare l'evento sanitario in quanto non risulta associato ad alcun CDA.
    - 000217: L'evento sanitario da ricercare non appartiene alla tipologia di evento gestito dal servizio invocato.
    - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
    - 100002: Manca dato obbligatorio
    - 000239: Contenuto applicativo non valido.
    - 000240: Il contenuto applicativo non corrisponde all'azione.
    - 000241: Azione non riconosciuta.
    - 000242: Servizio non riconosciuto.
    - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
    - 000219: Errore nel processo di firma del documento o nella definizione del firmatario.
    - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
    - 000256: Porta di Dominio Edotto non raggiungibile
    - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
    - 000258: Scatel Porta di Dominio ASL non raggiungibile.
    - 000319: Application Server della Rete dei Medici non raggiungibili
    - 000320: Scatel Porta di Dominio Edotto non raggiungibile
    - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile
    - 000273: Alla data odierna l'assistito non risulta avere una scelta medico attiva.
    - 000162: L'assistito non risulta presente nell'anagrafe sanitaria regionale.
    - 000066: Il cittadino non risulta tra gli assistiti in carico al medico di base.

- #### getEventoSpecialistico

      public EventoSpecialisticoResponse getEventoSpecialistico(DatiOperatore datiOperatore,
                                                                DatiApplicativo datiApplicativo,
                                                                java.lang.String codice)

  Il servizio consente di recuperare, tramite il suo codice, i dati di dettaglio di un evento sanitario specialistico.
  Parameters:
    `datiOperatore` - Elemento obbligatorio che rappresenta i dati identificativi dell'operatore che richiede il servizio
    `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
    `codice` - elemento obbligatorio che rappresenta il codice identificativo dell'evento specialistico da recuperare
  Returns:
    EventoSpecialisticoResponse rappresenta l'evento sanitario che soddisfa i parametri di ricerca inseriti
  Throws:
    `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 000005: Dato non valido
    - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
    - 000110: L'assistito non ha mai espresso il consenso alla costituzione del Fascicolo Sanitario Elettronico.
    - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
    - 000201: Utente sconosciuto
    - 000216: Impossibile recuperare l'evento sanitario in quanto non risulta associato ad alcun CDA.
    - 000217: L'evento sanitario da ricercare non appartiene alla tipologia di evento gestito dal servizio invocato.
    - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
    - 100002: Manca dato obbligatorio
    - 000239: Contenuto applicativo non valido.
    - 000240: Il contenuto applicativo non corrisponde all'azione.
    - 000241: Azione non riconosciuta.
    - 000242: Servizio non riconosciuto.
    - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
    - 000219: Errore nel processo di firma del documento o nella definizione del firmatario.
    - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
    - 000256: Porta di Dominio Edotto non raggiungibile
    - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
    - 000258: Scatel Porta di Dominio ASL non raggiungibile.
    - 000319: Application Server della Rete dei Medici non raggiungibili
    - 000320: Scatel Porta di Dominio Edotto non raggiungibile
    - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile
    - 000273: Alla data odierna l'assistito non risulta avere una scelta medico attiva.
    - 000162: L'assistito non risulta presente nell'anagrafe sanitaria regionale.
    - 000066: Il cittadino non risulta tra gli assistiti in carico al medico di base.

- #### setAssunzioneResponsabilita

      public AssunzioneResponsabilitaResponse setAssunzioneResponsabilita(DatiOperatore datiOperatore,
                                                                          DatiApplicativo datiApplicativo,
                                                                          java.lang.String codEventoSanitario,
                                                                          java.lang.String codFiscaleAssistibile,
                                                                          java.lang.String descMotivo,
                                                                          java.lang.String flagCosciente)

  Il servizio consente di registrare l'assunzione di responsabilita' per la consultazione di un evento sanitario oscurato
  Parameters:
    `datiOperatore` - Elemento obbligatorio che rappresenta i dati identificativi dell'operatore che richiede il servizio
    `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
    `codEventoSanitario` - Elemento obbligatorio che rappresenta l'identificativo dell'evento per la cui consultazione, l'utente si assume la responsabilita'.
    `codFiscaleAssistibile` - Elemento obbligatorio che rappresenta il codice fiscale dell'assistito
    `descMotivo` - Elemento obbligatorio che rappresenta il motivo dell'assunzione di responsabilita'
    `flagCosciente` - Valore booleano obbligatorio che rappresenta lo stato di coscienza dell'assistito: true se l'assistito e' cosciente, false altrimenti
  Returns:
    AssunzioneResponsabilitaResponse rappresenta l'esito dell'invocazione del servizio
  Throws:
    `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
    - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
    - 000201: Utente sconosciuto
    - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
    - 100002: Manca dato obbligatorio
    - 000239: Contenuto applicativo non valido.
    - 000240: Il contenuto applicativo non corrisponde all'azione.
    - 000241: Azione non riconosciuta.
    - 000242: Servizio non riconosciuto.
    - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
    - 000219: Errore nel processo di firma del documento o nella definizione del firmatario.
    - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
    - 000256: Porta di Dominio Edotto non raggiungibile
    - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
    - 000258: Scatel Porta di Dominio ASL non raggiungibile.
    - 000319: Application Server della Rete dei Medici non raggiungibili
    - 000320: Scatel Porta di Dominio Edotto non raggiungibile
    - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

- #### setNotificaDisponibilitaEventoSanitario

      public NotificaDisponibilitaEventoSanitarioResponse setNotificaDisponibilitaEventoSanitario(DatiOperatore datiOperatore,
                                                                                                  DatiApplicativo datiApplicativo,
                                                                                                  java.lang.String codDominio,
                                                                                                  java.lang.String codFiscaleAssistibile,
                                                                                                  EventoSanitario_grp eventoSanitario_grp,
                                                                                                  java.lang.String idEsternoEventoSanitario)

  Il servizio consente ai Fascicoli Sanitari di altre Regioni di comunicare eventi sanitari relativi ad assistiti della Regione Puglia.
  Parameters:
    `datiOperatore` - Elemento obbligatorio che rappresenta i dati identificativi dell'operatore che richiede il servizio
    `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
    `codDominio` - Elemento opzionale che rappresenta il codice del dominio su cui sono memorizzati i dettagli dell'evento sanitario registrato via applicativo esterno.
    `codFiscaleAssistibile` - Elemento obbligatorio che rappresenta il codice fiscale dell'assistito
    `eventoSanitario_grp` - Elemento obbligatorio che rappresenta l'elenco degli eventi sanitari dei quali deve esserne notificata la disponibilità .
    `idEsternoEventoSanitario` - Elemento opzionale che rappresenta l'identificativo di un evento sanitario, registrato via applicativo esterno, i cui dati di dettaglio sono su un altro dominio.
  Returns:
    NotificaDisponibilitaEventoSanitarioResponse rappresenta l'esito dell'invocazione del servizio
  Throws:
    `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
    - 000003: Elemento già presente in archivio.
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 000005: Dato non valido
    - 000036: Evento Sanitario già presente in archivio
    - 000045: La cancellazione dell'evento sanitario non è riuscita
    - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
    - 000162: L'assistito non risulta presente nell'anagrafe sanitaria regionale.
    - 000174: La notifica deve riguardare uno ed un solo evento sanitario
    - 000175: La data di redazione del certificato è successiva a quella odierna
    - 000176: Codice diagnosi non valido
    - 000177: La data di dimissione del ricovero è successiva a quella odierna
    - 000178: La data di dimissione del ricovero è precedente quella di accettazione
    - 000180: Codice branca non valido
    - 000181: Codice prestazione specialistica non valido
    - 000182: La data di erogazione del farmaco è successiva a quella odierna
    - 000183: Codice farmaco non valido
    - 000184: La data di uscita dal pronto soccorso è successiva a quella odierna
    - 000185: La data di uscita dal pronto soccorso è precedente quella di ingresso
    - 000186: Il codice prestazione specialistica associato all'evento di emergenza non è presente nel nomenclatore tariffario
    - 000188: Dominio richiedente non valido
    - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
    - 000201: Utente sconosciuto
    - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
    - 100002: Manca dato obbligatorio
    - 000218: Il CDA non è valido
    - 000239: Contenuto applicativo non valido.
    - 000240: Il contenuto applicativo non corrisponde all'azione.
    - 000241: Azione non riconosciuta.
    - 000242: Servizio non riconosciuto.
    - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
    - 000219: Errore nel processo di firma del documento o nella definizione del firmatario.
    - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
    - 000256: Porta di Dominio Edotto non raggiungibile
    - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
    - 000258: Scatel Porta di Dominio ASL non raggiungibile.
    - 000319: Application Server della Rete dei Medici non raggiungibili
    - 000320: Scatel Porta di Dominio Edotto non raggiungibile
    - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile

- #### setNotificheSDO

      public NotificheSDOResponse setNotificheSDO(DatiOperatore datiOperatore,
                                                  DatiApplicativo datiApplicativo,
                                                  ElencoNotificheSDORequest elencoNotificheSDO)

  In seguito all'acquisizione nel Edotto di nuove SDO validate, il servizio consente alla PDD Edotto di comunicare al SIST i dati identificativi dei ricoveri in oggetto ai fini dell'aggiornamento del Fascicolo Sanitario. Per ogni SDO, si riporta l'esito della notifica.
  Parameters:
    `datiOperatore` - Elemento obbligatorio che rappresenta i dati identificativi dell'operatore che richiede il servizio
    `datiApplicativo` - dati dell'applicativo operatore che esegue la richiesta del servizio. parametro obbligatorio.
    `elencoNotificheSDO` - Elemento obbligatorio che rappreesenta l'elenco dei ricoveri da notificare a SIST
  Returns:
    ElencoNotificheSDORequest l'elenco delle notifiche registrate
  Throws:
    `SoapFaultException` - errore applicativo, può assumere i seguenti valori:
    - 000001: Si è verificato un errore non previsto. In caso di necessità chiamare il servizio di assistenza.
    - 000003: Elemento già presente in archivio.
    - 000004: Non ci sono elementi corrispondenti ai criteri di ricerca inseriti. Verificare la correttezza dei parametri inseriti.
    - 000005: Dato non valido
    - 000022: L'operazione di inserimento non è riuscita. Attendere qualche minuto e riprovare.
    - 000036: Evento Sanitario già presente in archivio
    - 000037: Diagnosi del ricovero già presente in archivio
    - 000038: Intervento per ricovero già presente in archivio
    - 000039: Endoprotesi di ricovero già presente in archivio
    - 000040: Accesso in Day Hospital già presente in archivio
    - 000041: Trasferimento interno di reparto già presente in archivio
    - 000044: La modifica dell'evento di ricovero collegato non è riuscita
    - 000045: La cancellazione dell'evento sanitario non è riuscita
    - 000050: L'utente non è autorizzato ad eseguire l'operazione o ad utilizzare il servizio.
    - 000220: L'applicativo non è autorizzato ad utilizzare questi servizi.
    - 000201: Utente sconosciuto
    - 000218: Il CDA non è valido
    - 100000: Si è verificato un errore nel sistema. Contattare il supporto tecnico.
    - 100002: Manca dato obbligatorio
    - 000239: Contenuto applicativo non valido.
    - 000240: Il contenuto applicativo non corrisponde all'azione.
    - 000241: Azione non riconosciuta.
    - 000242: Servizio non riconosciuto.
    - 000219: Errore nel processo di firma del documento o nella definizione del firmatario.
    - 000231: Il codice fiscale della smart card non corrisponde a quello dell'operatore.
    - 000256: Porta di Dominio Edotto non raggiungibile
    - 000257: Porta Applicativa della Porta di Dominio della Rete dei Medici non raggiungibile.
    - 000258: Scatel Porta di Dominio ASL non raggiungibile.
    - 000319: Application Server della Rete dei Medici non raggiungibili
    - 000320: Scatel Porta di Dominio Edotto non raggiungibile
    - 000321: Porta delegata della Porta di Dominio della Rete dei Medici non raggiungibile